detekt-api
1.21.0-RC2

# Debt

data class Debt ( val days: Int = 0, val hours: Int = 0, val mins: Int = 0)
Content copied to clipboard

Debt describes the estimated amount of work needed to fix a given issue.

## Constructors

Debt
Link copied to clipboard
fun Debt ( days: Int = 0, hours: Int = 0, mins: Int = 0)
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

plus
Link copied to clipboard
operator fun plus (other: Debt ): Debt
Content copied to clipboard

Adds the other debt to this debt. This recalculates the potential overflow resulting from the addition.

toString
Link copied to clipboard
open override fun toString (): String
Content copied to clipboard

## Properties

days
Link copied to clipboard
val days : Int = 0
Content copied to clipboard
hours
Link copied to clipboard
val hours : Int = 0
Content copied to clipboard
mins
Link copied to clipboard
val mins : Int = 0
Content copied to clipboard